Summary:	X Fixes extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Fixes
Name:		xorg-lib-libXfixes
Version:	5.0.1
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXfixes-%{version}.tar.bz2
# Source0-md5:	b985b85f8b9386c85ddcfe1073906b4d
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-fixesproto-devel >= 5.0
BuildRequires:	xorg-util-util-macros >= 1.8
Obsoletes:	libXfixes
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Fixes extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X Fixes.

%package devel
Summary:	Header files for libXfixes library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXfixes
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Requires:	xorg-proto-fixesproto-devel >= 5.0
Obsoletes:	libXfixes-devel

%description devel
X Fixes extension library.

This package contains the header files needed to develop programs that
use libXfixes.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X Fixes.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXfixes.

%package static
Summary:	Static libXfixes library
Summary(pl.UTF-8):	Biblioteka statyczna libXfixes
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXfixes-static

%description static
X Fixes extension library.

This package contains the static libXfixes library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X Fixes.

Pakiet zawiera statyczną bibliotekę libXfixes.

%prep
%setup -q -n libXfixes-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXfixes.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXfixes.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXfixes.so
%{_libdir}/libXfixes.la
%{_includedir}/X11/extensions/Xfixes.h
%{_pkgconfigdir}/xfixes.pc
%{_mandir}/man3/Xfixes.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXfixes.a
%changelog
* Fri May 08 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-lib-libXfixes.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0eef0c4
- x32 rebuild
- release 2 (by relup.sh)

* Wed Dec 24 2014 Jan Rękorajski <baggins@pld-linux.org> 3cad564
- fix files

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8bad486
- up to 5.0.1; fixes CVE-2013-1983

* Wed Mar 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 34b9e7e
- updated to 5.0

* Sat Jun 12 2010 Jakub Bogusz <qboosh@pld-linux.org> edbafb0
- updated ac and util-macros versions

* Thu Jun 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5710b85
- up to 4.0.5

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 4cd703d
- rebuild with new libpthread-stubs
- rel 2

* Thu Oct 08 2009 Jakub Bogusz <qboosh@pld-linux.org> 2d7a5ec
- updated util-macros version
- ghost soname symlink
- more verbose files

* Thu Oct 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 05ab53e
- up to 4.0.4

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 20387f1
- release 5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 64d89aa
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 60c0225
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f299b4b
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 04ad669
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ab5dbd
- rebuild

* Wed Nov 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 2323c2c
- up to 4.0.3

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 0321bbc
- updated to 4.0.2

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> e27a08d
- needs fixesproto 4.0

* Tue May 23 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d17f282
- up to 4.0.1

* Tue May 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 95ce48c
- typo (s/0\.4/4.0/) in previous changelog entry

